Skip to content

Network Details

GET
/api/v1/nodes/{node_id}/networkdetail/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/networkdetail/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used for authentication

Example

<API_KEY>
location
required
string

Location filter for network details

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the network details response

integer
data
object
additional_ip
Array<object>
object
ip_address

IPv4 address of an additional network interface

string
reserve_ip_details
object
is_limit_available

Indicates whether a limit is available for the reserved IP.

boolean
is_already_reserved

True if the IP address is already reserved, otherwise false.

boolean
can_we_reserved

Indicates whether the IP address can be reserved

boolean
reserve_ip_price

Price of the reserved IP, including currency and optional tax note

string
can_we_attach_detach_public_ip

Indicates if a public IP can be attached or detached

boolean
currency

Three-letter ISO 4217 currency code for the reserved IP

string
ipv6_addresses
Array<string>
ipv6_allowed

Indicates whether IPv6 traffic is permitted for the network.

boolean
public_ip_address

The public IPv4 address assigned to the network.

string
private_ip_address

The private IPv4 address assigned to the network interface.

string
additional_ip_with_pool
Array<string>
floating_ip_list
Array<string>
errors
object
message

Status message indicating the result of the request

string

Example

{
"code": 200,
"data": {
"additional_ip": [
{
"ip_address": "1.2.3.4"
}
],
"reserve_ip_details": {
"is_limit_available": true,
"is_already_reserved": true,
"can_we_reserved": false,
"reserve_ip_price": "INR 199.0 (excluding GST)",
"can_we_attach_detach_public_ip": true,
"currency": "INR"
},
"ipv6_addresses": [
"3456:96c0:0100::99"
],
"ipv6_allowed": true,
"public_ip_address": "1.2.3.4",
"private_ip_address": "10.2.3.4",
"additional_ip_with_pool": [
"1.2.3.4"
],
"floating_ip_list": [
"1.2.3.4"
]
},
"message": "Success"
}